	function CostFunk = EQAPLP(X, n)
	%
	% 	Cost function for equalization with an allpass function.  
	%
	% 	Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
	
	% 	Author: 		Lars Wanhammar, 2007-07-23
    % 	Modified by:		 
	% 	Copyright:		Divison of Electronics Systems
	%					Dept. Electrical Engineering, Linkoping University, Sweden
	% 	Version: 		1	
	% 	Known bugs:		None
	% 	Report bugs to:	larsw@isy.liu.se
	
	global p TgH Wpas points ToP
	P = ToP*X';		% Convert real parameters to poles
	Taug = PZ_2_TG_S(1, -P, P, Wpas);
	tg0 = sum(Taug + TgH)/points;
	CostFunk = sum((Taug +TgH - tg0).^p);	
	return		
