	function F = FACTORIZE(N)
	%
	%	Computes all integer factors in the integer, N.
	%
	% 	Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
		
	% 	Author: 		Lars Wanhammar 2004-07-17
	% 	Modified by: 	 
	% 	Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkoping University, Sweden
	% 	Version:		1 
	% 	Known bugs:		None
	% 	Report bugs to:	larsw@isy.liu.se
	%
		F = [];
		F(1) = 1;
		for k = 2:floor(sqrt(abs(N)))
			if mod(N, k) == 0 
				F = [F, k];
			end
		end
