	function Att = MAG_2_ATT(H)
	%
	% 	Computes the attenuation from the magnitude or frequency response
	%
	% 	Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
	
	% 	Author: 		Lars Wanhammar, 2000-02-01
	% 	Modified by: 		 
	% 	Copyright:		Divison of Electronics Systems
	% 					Dept. Electrical Engineering, Linkoping University, Sweden
	% 	Version: 		1
	% 	Known bugs:		None
	% 	Report bugs to:	larsw@isy.liu.se
	%
	
	H(abs(H) < eps) = eps;
	Att = -20*log10(abs(H));
