	function PLOT_HP_SPEC_S(Wc, Ws, Amax, Amin);
	%
	% 	Plots the attenuation specification for an analog highpass filter. 	
	%
	% Toolbox for ANALOG FILTERS USING MATLAB, Springer, 2009
	
	%	Author: 			Lars Wanhammar 2005-05-07
	%	Modified by: 	 	
	%	Copyright:			Divison of Electronics Systems
	% 						Dept. Electrical Engineering, Linkoping University, Sweden
	%	Version:			1
	%	Known bugs:			None
	%	Report bugs to:		larsw@isy.liu.se
	%
	color = [0.7 0.7 0.7]; % Gray
	V = axis;
	patch([Wc V(2)-eps  V(2)-eps Wc], [Amax Amax V(4) V(4)], color);
	if Amin ~= 0	% No stopband specification
		patch([0 Ws Ws 0], [0 0 Amin Amin], color);
	end	
 
